Email PDF of purchase order receipt
Email PDF of purchase order receipt
Required permissions: PURCHASE_ORDER
post/tenants/{tenantUid}/stores/{storeUid}/purchase-orders/{purchaseOrderUid}/email
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+purchaseOrderUidstringRequiredPattern:
Reference to a PurchaseOrder.
^[A-Za-z0-9-_]+Body
recipientsstring[]Required
subjectstringOptional
bodystringOptional
includePDFbooleanOptionalDefault:
trueResponses
201
Created
No content
400
Bad Request
post/tenants/{tenantUid}/stores/{storeUid}/purchase-orders/{purchaseOrderUid}/email
POST /v2/tenants/{tenantUid}/stores/{storeUid}/purchase-orders/{purchaseOrderUid}/email HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 146
{
"recipients": [
"text"
],
"subject": "text",
"body": "text",
"includePDF": true,
"attachments": [
{
"content": "text",
"contentType": "text",
"filename": "text"
}
]
}No content
Last updated
Was this helpful?

